Bug 13357 - Untranslatable strings on itemsearch.tt
Summary: Untranslatable strings on itemsearch.tt
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: 3.18
Hardware: All All
: P5 - low normal (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-27 15:05 UTC by Bernardo Gonzalez Kriegel
Modified: 2016-06-21 21:37 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13357: Untranslatable strings on itemsearch.tt (7.94 KB, patch)
2014-11-28 13:31 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[Signed-off] Bug 13357: Untranslatable strings on itemsearch.tt (8.12 KB, patch)
2014-12-24 08:32 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13357: Untranslatable strings on itemsearch.tt (8.16 KB, patch)
2014-12-26 10:20 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bernardo Gonzalez Kriegel 2014-11-27 15:05:26 UTC
A TT block construct on itemsearch.tt makes impossible to translate some strings
Comment 1 paxed 2014-11-28 05:42:13 UTC
To clarify, these label strings are not picked up by the translation toolchain:
[% INCLUDE form_field_select_option value='barcode' label='Barcode' %]

Perhaps the TT should have a dummy _() marker function, similar to javascript.
Comment 2 Bernardo Gonzalez Kriegel 2014-11-28 13:29:40 UTC
(In reply to paxed from comment #1)
> To clarify, these label strings are not picked up by the translation
> toolchain:
> [% INCLUDE form_field_select_option value='barcode' label='Barcode' %]
> 
> Perhaps the TT should have a dummy _() marker function, similar to
> javascript.

Perhaps that could be the best solution. For now I will add a TT block with all labels to translate.
Comment 3 Bernardo Gonzalez Kriegel 2014-11-28 13:31:58 UTC Comment hidden (obsolete)
Comment 4 Marc Véron 2014-12-24 08:32:02 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2014-12-26 10:20:26 UTC
Created attachment 34681 [details] [review]
Bug 13357: Untranslatable strings on itemsearch.tt

This patch enable translation of labels on itemsearch.tt

To test:
1) Translate for a fairly complete language (es-ES de-DE)
2) On staff, go to Search > Item search
3) Check there are many untranslated strings
e.g. Text before pulldowns on first and second box
     All options on third box

4) Apply the patch

5) Repeat 1 & 2
6) Check there are now some strings translated
7) Update translation file, check there are some
new strings to translate (may be they are fuzzy)
e.g. "All statuses", "All collection codes"

Patch works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 6 Jonathan Druart 2014-12-26 10:21:29 UTC
Great improvement!
All looks good.
Marked as Passed QA.
Comment 7 Tomás Cohen Arazi 2014-12-28 23:04:36 UTC
Patch pushed to master.

Thanks Bernardo!
Comment 8 Chris Cormack 2014-12-30 21:25:37 UTC
Pushed to 3.18.x will be in 3.18.3
Comment 9 Mason James 2015-01-16 19:32:06 UTC
Contains string changes, holding for 3.16.8
Comment 10 Katrin Fischer 2015-01-16 19:34:46 UTC
Hi Mason, item search is new in 3.18, so you should not need this :)